Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v1
Class CarmedIdentifierType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v1.CarmedIdentifierType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:37:37+02:00",
               comments="JAXB RI v2.2.11")
    public class CarmedIdentifierType

extends Object
implements Serializable

Java class for CarmedIdentifierType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CarmedIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CarmedNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="VersionNumber" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="Beneficiary" type="{urn:be:fgov:ehealth:mediprima:core:v1}BeneficiaryType"/>
             <element name="ValidityPeriod" type="{urn:be:fgov:ehealth:mediprima:core:v1}PeriodType"/>
             <element name="Pswc" type="{urn:be:fgov:ehealth:mediprima:core:v1}OcmwCpasType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CarmedIdentifierType()`

Method Summary
`BeneficiaryType` | `getBeneficiary()` Gets the value of the beneficiary property.
`String` | `getCarmedNumber()` Gets the value of the carmedNumber property.
`OcmwCpasType` | `getPswc()` Gets the value of the pswc property.
`PeriodType` | `getValidityPeriod()` Gets the value of the validityPeriod property.
`BigInteger` | `getVersionNumber()` Gets the value of the versionNumber property.
`void` | `setBeneficiary(BeneficiaryType value)` Sets the value of the beneficiary property.
`void` | `setCarmedNumber(String value)` Sets the value of the carmedNumber property.
`void` | `setPswc(OcmwCpasType value)` Sets the value of the pswc property.
`void` | `setValidityPeriod(PeriodType value)` Sets the value of the validityPeriod property.
`void` | `setVersionNumber(BigInteger value)` Sets the value of the versionNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CarmedIdentifierType

    public CarmedIdentifierType()

Method Detail

### getCarmedNumber

    public String getCarmedNumber()

  Gets the value of the carmedNumber property.

  Returns:
    possible object is `String`

### setCarmedNumber

    public void setCarmedNumber(String value)

  Sets the value of the carmedNumber property.

  Parameters:
    `value` - allowed object is `String`

### getVersionNumber

    public BigInteger getVersionNumber()

  Gets the value of the versionNumber property.

  Returns:
    possible object is `BigInteger`

### setVersionNumber

    public void setVersionNumber(BigInteger value)

  Sets the value of the versionNumber property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getBeneficiary

    public BeneficiaryType getBeneficiary()

  Gets the value of the beneficiary property.

  Returns:
    possible object is `BeneficiaryType`

### setBeneficiary

    public void setBeneficiary(BeneficiaryType value)

  Sets the value of the beneficiary property.

  Parameters:
    `value` - allowed object is `BeneficiaryType`

### getValidityPeriod

    public PeriodType getValidityPeriod()

  Gets the value of the validityPeriod property.

  Returns:
    possible object is `PeriodType`

### setValidityPeriod

    public void setValidityPeriod(PeriodType value)

  Sets the value of the validityPeriod property.

  Parameters:
    `value` - allowed object is `PeriodType`

### getPswc

    public OcmwCpasType getPswc()

  Gets the value of the pswc property.

  Returns:
    possible object is `OcmwCpasType`

### setPswc

    public void setPswc(OcmwCpasType value)

  Sets the value of the pswc property.

  Parameters:
    `value` - allowed object is `OcmwCpasType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.